@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

.Field {
  line-height: 18px;
  border: none;
  display: flex;
  flex-direction: column;

  .FieldTitle {
    font-size: 12px;
    margin-bottom: 4px;
  }

  .FieldDescription {
    display: block;
    font-size: 12px;
    margin-top: 4px;
    text-align: left;
  }
}

@include themify("Field", $themes) {
  font-family: themed("font-family");

  .FieldTitle {
    color: themed("text-primary");
  }

  .FieldDescription {
    color: themed("text-secondary");
  }

  &.Field-danger .FieldDescription {
    color: themed("status-danger");
  }

  &.Field-busy .FieldDescription {
    color: themed("status-busy");
  }
}
